import isFunction from './isFunction';

export default function readFile(src, progress) {
    return new Promise((resolve, reject) => {
        const reader = new FileReader();
            
        if(isFunction(progress)) {
            reader.onprogress = e => {
                if(e.lengthComputable) {
                    progress(parseInt((e.loaded / e.total) * 100, 10));
                }
            };
        }

        reader.onload = resolve;            
        reader.onerror = reject;
        reader.onabort = reject;
        reader.readAsDataURL(src);
    });
}